Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSetUp

Construct a basis for a `PetscDualSpace`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetUp(PetscDualSpace sp)

Collective

## Input Parameter

- sp - the `PetscDualSpace` object to setup

## See Also

`PetscDualSpaceView()`, `PetscDualSpaceDestroy()`, `PetscDualSpace`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Examples

src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

## Implementations

PetscDualSpaceSetUp_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceSetUp_Refined() in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
PetscDualSpaceSetUp_Simple() in src/dm/dt/dualspace/impls/simple/dspacesimple.c
PetscDualSpaceSetUp_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages